apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: greetings-deployment
  labels:
    app: greetings
spec:
  replicas: 1 
  selector:
    matchLabels:
      app: greetings
  template:
    metadata:
      labels:
        app: greetings
    spec:
      containers:
      - name: greetings1
        image: gcr.io/connectpetsto/greetings:v1
        ports:
        - containerPort: 3000